try { 
  $postgreAccount = 'postgres'
  $postgrePassword = 'Ur@n!um824'
  
  Write-Host "Deleting and recreating $postgreAccount windows account..."
  net user $postgreAccount /delete
    
  $ComputerName = $env:ComputerName 
  $cn = [ADSI]"WinNT://$ComputerName" 
  $user = $cn.Create("User",$postgreAccount)
  $user.SetPassword($postgrePassword)
  $user.setinfo()
  
  $localUserPath = "WinNT://$env:computername/$postgreAccount"
  $computer = [ADSI]("WinNT://$env:computername,computer")
  $localGroup = $computer.PSBase.Children.Find("Users")
  $sysInfo = Get-WmiObject -Class Win32_ComputerSystem 
  $workGroup = $sysInfo.Workgroup
  if ($localGroup.PSBase.Path -like 'WinNT://' + $workGroup + '*') {
    $localUserPath = "WinNT://$workGroup/$env:computername/$postgreAccount"
  }
  if ($localGroup.PSBase.Invoke("IsMember",$localUserPath)) {
    $localGroup.PSBase.Invoke("Remove",$localUserPath)
  }

  Write-Host "The account $postgreAccount has been created with the password set to $postgrePassword. Please change the password for the $postgreAccount account and update the services to that password"
  Start-Sleep 4

  if ($osBitness -eq 64) {
    $key = 'HKLM:\SOFTWARE\PostgreSQL\Installations\postgresql-x64-9.3'
  } else {
    $key = 'HKLM:\SOFTWARE\PostgreSQL\Installations\postgresql-9.3'
  }
  
  if (Test-Path $key) {
    $postgrePath = (Get-ItemProperty -Path $key -Name "Base Directory")."Base Directory"
    $dataDir = (Get-ItemProperty -Path $key -Name "Data Directory")."Data Directory"
  } else {
    $postgrePath = "$env:programfiles\PostgreSQL\9.3"
    $dataDir = "$postgrePath\data"
  }
  
  Write-Host "Creating $postgrePath folder for installation if it doesn`'t exist"
  if (![System.IO.Directory]::Exists($postgrePath)) {[System.IO.Directory]::CreateDirectory($postgrePath)}
  #assign folder permissions to postgres user
  Write-Host "Setting folder permissions on $postgrePath to full control for user postgres"
  $acl = Get-Acl $postgrePath
  $acl.SetAccessRuleProtection($True, $True)
  $rule = New-Object System.Security.AccessControl.FileSystemAccessRule("$postgreAccount","FullControl", "ContainerInherit, ObjectInherit", "None", "Allow");
  $acl.AddAccessRule($rule);
  Set-Acl $postgrePath $acl
  
  #perform silent install
  $installArgs = "--mode unattended --prefix ""$postgrePath"" --datadir ""$dataDir"" --servicename PostgreSQL --superaccount $postgreAccount --superpassword $postgrePassword --serviceaccount $postgreAccount"
  
  Install-ChocolateyPackage 'postgresql-9.3' 'exe' $installArgs 'http://get.enterprisedb.com/postgresql/postgresql-9.3.5-3-windows.exe' 'http://get.enterprisedb.com/postgresql/postgresql-9.3.5-3-windows-x64.exe' 

  #Add path
  Install-ChocolateyPath "$postgrePath\bin"
  
  Write-ChocolateySuccess 'postgresql-9.3'
} catch {
  Write-ChocolateyFailure 'postgresql-9.3' "$($_.Exception.Message)"
  throw 
}